fmt_longlong(3)

NAME
fmt_longlong - write an ASCII representation of a long long integer

SYNTAX
#include <libowfat/fmt.h> size_t fmt_longlong(char *dest,long long source);

DESCRIPTION
fmt_longlong writes an ASCII representation ('-' and '0' to '9', base 10) of source to dest and returns the number of bytes written. fmt_longlong does not append \0. If dest equals FMT_LEN (i.e. is zero), fmt_longlong returns the number of bytes it would have written. For convenience, fmt.h defines the integer FMT_LONG to be big enough to contain every possible fmt_longlong output plus \0.

SEE ALSO
scan_longlong(3)